import enum

class EVENTS(enum.IntEnum):
    IN_ACCESS =0x00000001;
    IN_MODIFY =0x00000002;
    IN_ATTRIB =0x00000004;
    IN_CLOSE_WRITE =0x00000008;
    IN_CLOSE_NOWRITE =0x00000010;
    IN_OPEN =0x00000020;
    IN_MOVED_FROM =0x00000040;
    IN_MOVED_TO =0x00000080;
    IN_CREATE =0x00000100;
    IN_DELETE =0x00000200;
    IN_DELETE_SELF =0x00000400;
    IN_MOVE_SELF =0x00000800;

    IN_CLOSE = (IN_CLOSE_WRITE | IN_CLOSE_NOWRITE)
    IN_MOVE = (IN_MOVED_FROM | IN_MOVED_TO)

    IN_ALL_EVENTS = (IN_ACCESS | IN_MODIFY | IN_ATTRIB | IN_CLOSE_WRITE
                 | IN_CLOSE_NOWRITE | IN_OPEN | IN_MOVED_FROM
                 | IN_MOVED_TO | IN_CREATE | IN_DELETE
                 | IN_DELETE_SELF | IN_MOVE_SELF)

REAL_EVENTS = (
 EVENTS.IN_ACCESS,
 EVENTS.IN_MODIFY,
 EVENTS.IN_ATTRIB,
 EVENTS.IN_CLOSE_WRITE,
 EVENTS.IN_CLOSE_NOWRITE,
 EVENTS.IN_OPEN,
 EVENTS.IN_MOVED_FROM,
 EVENTS.IN_MOVED_TO,
 EVENTS.IN_CREATE,
 EVENTS.IN_DELETE,
 EVENTS.IN_DELETE_SELF,
 EVENTS.IN_MOVE_SELF,
)



class WATCH_FLAGS(enum.IntEnum):
    IN_ONLYDIR = 0x01000000
    IN_DONT_FOLLOW = 0x02000000
    IN_MASK_ADD = 0x20000000
    IN_ONESHOT = 0x80000000
    IN_EXCL_UNLINK = 0x04000000

class RETURN_FLAGS(enum.IntEnum):
    IN_UNMOUNT = 0x00002000
    IN_Q_OVERFLOW = 0x00004000
    IN_IGNORED = 0x00008000
    IN_ISDIR = 0x40000000
